Votre code n'est plus à jour ? Dart Fix

Dans la dernière version de Dart sorti en même temps que Flutter 2, il y a désormais un petit outil passé un peu inaperçu.

Cet outil s’appelle Dart Fix et il est aussi disponible dans votre éditeur de code via Flutter Fix.
Il permet de mettre à jour la syntaxe de votre ancien code en une ligne de commande.

flutter-fix-suggestion-intellij-30fffbcd7f7624b44cee82516a087be13293131f06e534a09ab30b4d54d6fe0a

Pour seulement voir la liste des changements disponibles pour votre code :
dart fix --dry-run

Vous pouvez faire la mise à jour de votre code, en appelant la commande ci-dessous :
dart fix --apply

Ces commandes sont à utiliser à la racine de votre projet via un terminal. Il est maintenant plus facile de tenir à jour son code sans perdre trop de temps.

2 J'aime

Merci pour ces informations

1 J'aime